﻿h1 { font-size: 1.75rem; margin-top: 1.0rem; }
h2 { font-size: 1.35rem; }
.header { background-color: #e5e5e5; border-bottom: 1px solid #9a9a9a; }
.navbar-toggler { border: none; padding: 0; background-color: rgba(0, 0, 0, 0.5);  border-radius: 50%;  width: 30px; height: 30px; }
.navbar-toggler .toggler-icon { color: #fff;}
.navbar-collapse { margin-top: 1rem; border-top: 1px solid #e5e5e5; }
.main-content { min-height: 250px; }
.category-heading { font-size: 1.45rem; padding: .5rem 1rem; background-color: #343a40; color: #ffffff; }
.category-anchor { position: absolute; top: 0; left: 0; right: 0; height: 15px; }
.item-overview { margin-left: -15px; margin-right: -15px; padding: 15px; margin-bottom: 25px; }
    .item-overview:nth-of-type(even) { background-color: rgba(0, 0, 0, 0.05); }
    .item-overview .img-container { margin-left: -15px; margin-right: -15px; }
.item-overview { margin: 0; margin-bottom: 25px; border: 1px solid rgba(0, 0, 0, 0.15); }
.item-overview .item-name { font-size: 1.35rem; padding-bottom: 5px; border-bottom: 1px solid rgba(0, 0, 0, 0.15); }
.auction-status { font-size: .85rem; padding: 5px; background-color: #e5e5e5; border: 1px solid #9a9a9a; border-left: none; border-right: none; text-align: center; z-index: 999; }
    .auction-status > p { margin-bottom: 0; }
    .auction-status.sticky { position: fixed; bottom: 0; left: 0; right: 0; box-shadow: rgba(0, 0, 0, 0.7) 0 0 15px; }        
        .auction-status.sticky .hide-when-stuck { display: none; }
        .auction-status.sticky .inline-when-stuck { display: inline; }
.sticky-top.sticky { box-shadow: rgba(0, 0, 0, 0.7) 0 0 15px; }
.auction-in-progress .auction-status { color: #004085; background-color: #cce5ff; border-color: #b8daff; font-weight: bold; font-weight: 600; }
.bid-info { font-size: .9rem; color: #707372; border-bottom: 1px solid rgba(0, 0, 0, 0.15); padding-bottom: 7px; margin-bottom: 7px; }
.auction-in-progress .bid-info { padding-top: 0; }
    .bid-info > p { margin-bottom: 3px; }
        .bid-info > p > .label { font-weight: bold; }
        .bid-info > p > .value { }
.no-bids .bid-info > p > .value { font-style: italic; }
.bid-btns { margin-top: 7px; padding-top: 7px; }
.bid-btns .btn { width: 100%; text-align: center; transition: ease 0.5s all; }
.auction-in-progress .bid-info .current-bid { background-color: #d6d8d9; color: #1b1e21; margin-left: -15px; margin-right: -15px; padding-left: 15px; padding-right: 15px; font-size: 1.0rem; padding-top: 7px; padding-bottom: 7px; }
    .bid-info .current-bid .user-bid-status { display: block; font-style: italic; font-size: .9rem; }
    .bid-info .current-bid.highest-bid { color: #155724; background-color: #d4edda; border-color: #c3e6cb; padding-right: 10px; }
    .bid-info .current-bid.out-bid { color: #721c24; background-color: #f8d7da; border-color: #f5c6cb; }
    /*
        .auction-in-progress .bid-info .current-bid.highest-bid, .modal-master .auction-item.highest-bid .bid-info { color: #155724; background-color: #d4edda; border-color: #c3e6cb; padding-right: 10px; }
        .auction-in-progress .bid-info .current-bid.out-bid,, .modal-master .auction-item.highest-bid .bid-info { color: #721c24; background-color: #f8d7da; border-color: #f5c6cb; }
    */
        .bid-modal .modal-header { padding: .15rem 1rem; }
    .bid-modal .modal-header .close { padding: 0; margin: 0 0 0 auto; }
    .donor-recognition { margin: 0 -15px; padding: 5px 15px; font-size: .85rem; text-align: right; background-color: rgb(26, 116, 192); font-weight: bold; font-weight: 600; color: #fff; }
footer { background-color: #e5e5e5; border-top: 1px solid #9a9a9a; }
footer > .container > p { padding: 0; margin: 0; }
.modal iframe { border: none; width: 100%; height: 225px; overflow-y: scroll; }
.bid-modal.loading iframe { display:none; }
.bid-modal:not(.loading) .spinner-border { display: none !important; }
.modal-master h1:first-of-type { margin-top: 0; }
.modal-master .item-desc { font-size: .9rem; padding-top: 0; }
.modal-master .min-bid { font-weight: bold; }
.bid-form { padding: .5rem 1rem; }
    .bid-form > .form-group { margin-bottom: 0; }
.bid-post-feedback { display: none; }
.bid-submitting .bid-post-feedback { display: block; }
.item-desc { display: block; }
.bid-submitting .item-desc { display: none; }
.bid-inactive td:not(.edit-cell) { text-decoration: line-through; color: #ff4e4e; font-style: italic; }
.page-load-time { padding-top: 3px; font-size: .75rem; }
    .page-load-time > a > .reload-text { display: inline-block; margin-left: 5px; transition: all 1.5s ease; }
    .page-load-time > a:hover > .reload-text { transform: rotate(360deg); }

.paid-col, .paid-toggle { display: none; }
.auction-complete .paid-col { display: table-cell; }
.auction-complete .paid-toggle { display: block; }

.winner-card .card-header { padding: .5rem 1.25rem; font-size: 1.05rem; font-weight: bold; color: #004085; background-color: #cce5ff; }
.winner-card .card-body { padding: .75rem 1.25rem; }
.winner-items { margin-bottom: 0; padding-left: 30px; }

.val-list > ul { font-size: .95rem; padding-top: 10px; padding-left: 15px; list-style: none; }
    .val-list > ul > li:before { display: inline-block; font: normal normal normal 14px/1 FontAwesome; font-size: inherit; text-rendering: auto; -webkit-font-smoothing: antialiased; -moz-osx-font-smoothing: grayscale; content: "\f00d"; padding-right: 5px; }

.form-group.required .control-label { font-weight: 600; }

.winner-section .winner-heading { padding: 5px 10px; background-color: #d6d8d9; font-size: 1.15rem; font-weight: 600; }
.winner-section .winner-body { padding: 0 0 1.5rem 1.5rem; }
    .winner-section .winner-body .table th { font-weight: 600; background-color: rgba(0, 0, 0, .05); }

.auction-total { font-size: 1.2rem; font-weight: bold; background-color: #007bff; color: #ffffff; padding: 10px 15px; }
    .auction-total > .auction-total-breakdown { font-size: 1rem; font-weight: normal; font-style: italic; text-align: right; }
/*.winning-table-container { padding: 5px 25px 0; }*/
    .winning-table-container > .winner-heading { font-size: 1.2rem; font-weight: 600; padding: 10px 15px; }
.winner-heading .winner-total-breakdown { font-size: .85rem; font-weight: normal; font-style: italic; text-align: right; }


.nav-item .menu-divider { display: inline-block; position: relative; padding-top: 3px; padding-bottom: 3px; margin-top: 5px; }
    .nav-item .menu-divider:before { display: inline-block; background-color: #e5e5e5; position: absolute; left: -10px; right: -10px; top: 0; height: 1px; content: ' '; }
    .nav-item .menu-divider:after { display: inline-block; background-color: #e5e5e5; position: absolute; left: -10px; right: -10px; bottom: 0; height: 1px; content: ' '; }

.alert-danger > ul:last-of-type { margin-bottom: 0; }
a.btn-primary.aspNetDisabled { color: #fff; background-color: #007bff; border-color: #007bff; opacity: 0.65; cursor: not-allowed; }

.receipt-table tr:first-of-type, .receipt-table tr:last-of-type { font-weight: bold; background-color: rgba(0, 0, 0, .05); }
    .receipt-table tr:last-of-type > td { border-bottom: 1px solid #dee2e6; }

.w-4rem { width: 4rem !important; }

.refreshing .fa-refresh { animation: refreshing 1.5s ease infinite; }
.update-progress { position: absolute; top: 0; right: 0; bottom: 0; left: 0; background: rgba(0,0,0.15); z-index: 1000; }

ul.station-item-list { list-style:none; margin: 0; padding: 0 }
ul.station-item-list > li  { display: inline-block; position: relative; }
    ul.station-item-list > li > a { border: 1px solid #17a2b8; color: #17a2b8; padding: 1rem 1.5rem; margin: 0 1rem 1rem 0; transition: ease 0.5s all; border-radius: .25rem; display: inline-block; text-decoration: none; font-size: 1.25rem; font-weight: 600; }
    ul.station-item-list > li > a:hover, ul.station-item-list > li > a:active { color: #ffffff; background-color: #17a2b8; }

    ul.station-item-list > li:has(input[type=radio]) > label { border: 1px solid #17a2b8; color: #17a2b8; padding: .55rem .75rem; margin: 0 .5rem .5rem 0; transition: ease 0.5s all; border-radius: .25rem; display: inline-block; text-decoration: none; font-size: .85rem; font-weight: 600; cursor: pointer; }
        ul.station-item-list > li:has(input[type=radio]:checked) > label { color: #ffffff; background-color: #17a2b8; }
    ul.station-item-list > li > input[type=radio] { position: absolute; top: 0; right: 0; bottom: 0; left: 0;  visibility: hidden;}

.custom-file-input:not(:disabled) ~ .custom-file-label:not(.selected) > .selected-text { display: none; }
.custom-file-label > .selected-text { display: none; }
.custom-file-input:not(:disabled) ~ .custom-file-label.selected > .selected-text { display: inline; }
.custom-file-input:not(:disabled) ~ .custom-file-label.selected > .default-text { display: none; }
/*.checkout-button { position: relative; text-align: center; }
    .checkout-button:disabled .button-text { visibility: hidden; }
    .checkout-button .button-loading { display: none; position: absolute; top: 0; right: 0; bottom: 0; left: 0; }
    .checkout-button:disabled .button-loading { display: flex; align-items: center; justify-content: center; }*/

.input-group:has(+.input-group-stacked.show) > .input-group-prepend > .input-group-text, .input-group:has(+.input-group-stacked.show) > .input-group-append > .input-group-text, .input-group:has(+.input-group-stacked.collapsing) > .input-group-prepend > .input-group-text, .input-group:has(+.input-group-stacked.collapsing) > .input-group-append > .input-group-text { border-bottom-left-radius: 0; border-bottom-right-radius: 0; }
.input-group-stacked { border: 1px solid #ced4da; border-top: none; border-bottom-left-radius: 0.25rem; border-bottom-right-radius: 0.25rem; }

ul.button-list { list-style: none; display: flex; }
    ul.button-list > li { margin: .5rem; }
        ul.button-list > li > input, ul.button-list > li > span > input { display: none; }
        ul.button-list > li > label, ul.button-list > li > span > label { border: 1px solid; border-radius: .25rem; padding: .5rem 1rem; cursor: pointer; }
        ul.button-list > li > input:is(:checked) + label, ul.button-list > li > span > input:is(:checked) + label { background-color: rgba(0, 0, 0, 0.5); color: #fff; }

.feature-image-banner { min-height:200px; background-size:cover; background-position:center center; }
.feature-image-banner img.focus { max-width: 100%; z-index: 1;}
    .feature-image-banner .label { display: inline-block; padding: .25rem 1rem; background-color: #000; color: #fff; box-shadow: 0 0 10px 5px rgba(0, 0, 0, .5); font-weight: bold; font-size: 1.25rem; }
.field-validator[style="display: inline;"] ~ input, .field-validator[data-val-isvalid="False"] ~ input,
.field-validator[style="display: inline;"] ~ select, .field-validator[data-val-isvalid="False"] ~ select,
.field-validator[style="display: inline;"] ~ .input-group > .form-control,
.field-validator[data-val-isvalid="False"] ~ .input-group > .form-control,
.field-validator[style="display: inline;"] ~ .input-group > .custom-select,
.field-validator[data-val-isvalid="False"] ~ .input-group > .custom-select,
.field-validator[style="display: inline;"] ~ .input-group > .input-group-append,
.field-validator[data-val-isavalid="False"] ~ .input-group > .input-group-append,
input:has(~.field-validator[style="display: inline;"]), input:has(~.field-validator[data-val-isvalid="False"]),
tr:has(.row-validator[style="display: inline;"]) input,
tr:has(.row-validator[data-val-isvalid="False"]) input,
tr:has(.row-validator[style="display: inline;"]) select,
tr:has(.row-validator[data-val-isvalid="False"]) select,
.tr:has(.row-validator[style="display: inline;"]) .input-group > .form-control,
.tr:has(.row-validator[data-val-isvalid="False"]) .input-group > .form-control,
.tr:has(.row-validator[style="display: inline;"]) .input-group > .input-group-append,
.tr:has(.row-validator[data-val-isvalid="False"]) .input-group > .input-group-append,
.field-validator[style="display: inline;"] ~ .custom-file > .custom-file-label,
.field-validator[data-val-isvalid="False"] ~ .custom-file > .custom-file-label { border-color: #dc3545; }


.field-validator[style="display: inline;"] ~ .btn-list input[type=radio],
.field-validator[data-val-isvalid="False"] ~ .btn-list input[type=radio] { filter: drop-shadow(0 0 2px #dc3545); }

.btn-group-list > li:not(:first-of-type) { border-left: 0; }
.btn-group-list > li:first-of-type { border-radius: .2rem 0 0 .2rem; }
.btn-group-list > li:last-of-type { border-radius: 0 .2rem .2rem 0; }
.btn-group-list > li { color: #6c757d; background-color: transparent; background-image: none; -webkit-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; border: 1px solid #6c757d; padding: .25rem .5rem; font-size: .875rem; line-height: 1.5; transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out; position: relative; }
    .btn-group-list > li > input[type=radio], .btn-group-list > li > span > input[type=radio] { visibility: hidden; position: absolute; position: absolute; top: 0; right: 0; bottom: 0; left: 0; z-index: 100; }
    .btn-group-list > li:has(:checked) { background-color: #6c757d; color: #fff; font-weight: 600; white-space: nowrap; vertical-align: middle; }
    .btn-group-list > li > label, .btn-group-list > li > span > label { margin-bottom: 0; z-index: 0; cursor: pointer; text-align:center; width: 100%; }
        .btn-group-list > li > label:after, .btn-group-list > li > span > label:after { content: ""; position: absolute; top: 0; right: 0; bottom: 0; left: 0; }
    .btn-group-list > li:has(input[type=radio]:not(:checked)):hover { background-color: rgba(108, 117, 125, .15); }
#loginModal .btn-group-list > li, #loginCard .btn-group-list > li { width: 50%; }

        [data-trigger-name] { transition: opacity ease-in-out .5s, margin-bottom ease-in-out .5s, max-height ease-in-out .5s; overflow: hidden; opacity: 1; max-height: 100%; }
    [data-trigger-name]:has(input[disabled]), [data-trigger-name]:has(select[disabled]) {
        opacity: 0;
        max-height: 0;
        margin-bottom: 0;
    }
#page-body { min-height: 100vh; display: -ms-flexbox; display: flex; -ms-flex-direction: column; flex-direction: column; }

.item-overview .badge-light { background-color: #d6d8d9; margin-left: .25rem; }
.auction-filters .filter-tag { margin-right: .5rem; }
    /*.auction-filters .filter-tag > input:after { top: 0; right: 0; bottom: 0; left: 0; }*/
    .auction-filters .filter-tag > input:checked + label { color: #fff; background-color: #6c757d; border-color: #6c757d; }

.cursor-auto { cursor: auto !important; }
.cursor-not-allowed {cursor: not-allowed !important;}

.table-primary { background-color: transparent; }
    .table-primary th, .table-primary thead th, .table-primary td { border-color: rgba(0,0,0,.25); }
        .table-primary thead th { background-color: rgba(0,0,0,.15); }

div.form-control.readonly { background-color: #e9ecef; }
ul.btn-list { list-style: none; padding-left: 0; }
    ul.btn-list > li > label { display: inline-block; padding-left: .5rem; }
table.ticket-options > tbody > tr { display: -ms-flexbox; display: flex; -ms-flex-wrap: wrap; flex-wrap: wrap; }

@media (min-width: 576px) { /* Bootstrap breakpoint for sm screens */ .feature-image-banner { min-height: 250px; }
}

@media (min-width: 768px) {
    /* Bootstrap breakpoint for md screens */
    .feature-image-banner { min-height: 300px; }
        .feature-image-banner .label {font-size: 1.75rem;}
        .feature-image-banner .btn { padding: 0.5rem 1rem; font-size: 1.25rem; line-height: 1.5; border-radius: 0.3rem; }
}

@media (min-width: 992px) {
    /* Bootstrap breakpoint for lg screens */
    .feature-image-banner { min-height: 325px; }
}

@media (min-width: 1200px) {
    /* Bootstrap breakpoint for lg screens */
    .feature-image-banner { min-height: 350px; }
}

    @keyframes refreshing {
        from { transform: rotate(0deg); }
        50% { transform: rotate(360deg); }
        51% { transform: rotate(0deg); }
        to { transform: rotate(0deg); }
    }